Anonymous Login
2019-10-16 12:56 PDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000174v2.0 Release (Closed)[All Projects] Generalpublic2010-06-21 21:10
Reportercaseydk 
Assigned Tocaseydk 
PriorityhighSeverityfeatureReproducibilityalways
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Versionv2.0.0 
Summary0000174: Logging System
DescriptionFor audit/security purposes, there should be a logging system that captures everything (similar to Drupal's watchdog). The existing History module does not collect enough or the correct information.
TagsNo tags attached.
Attached Files

-Relationships
related to 0000088closedcaseydk Pending Requests Additional History information? 
+Relationships

-Notes

~0000952

caseydk (administrator)

Refactored all the core classes to use the w2pObject's store and delete methods, this gives us logging for "free";
Resolved in r1139-1154
+Notes

-Issue History
Date Modified Username Field Change
2009-06-07 21:10 caseydk New Issue
2009-06-14 05:37 caseydk Priority high => immediate
2009-06-14 06:11 caseydk Relationship added related to 0000190
2009-06-26 11:26 caseydk Relationship added related to 0000088
2009-08-25 08:25 caseydk Project v1.1 Release (Closed) => Pending Requests
2009-11-18 18:45 caseydk Relationship deleted related to 0000190
2009-12-08 11:50 caseydk Project Pending Requests => v1.3 Release (Closed)
2010-02-18 04:39 caseydk Project v1.3 Release (Closed) => v2.0 Release (Closed)
2010-05-04 20:38 caseydk Priority immediate => high
2010-06-04 22:19 caseydk Note Added: 0000952
2010-06-04 22:19 caseydk Status new => resolved
2010-06-04 22:19 caseydk Resolution open => fixed
2010-06-04 22:19 caseydk Assigned To => caseydk
2010-06-21 21:10 caseydk Status resolved => closed
2010-06-21 21:10 caseydk Fixed in Version => v2.0
+Issue History